Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Résolu] Paquets masqués
View unanswered posts
View posts from last 24 hours

Goto page 1, 2  Next  
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
Aconitt
n00b
n00b


Joined: 05 Jun 2016
Posts: 25
Location: Belgique

PostPosted: Thu Jun 09, 2016 9:44 am    Post subject: [Résolu] Paquets masqués Reply with quote

Bonjour,

J'essaie depuis quelque temps de faire fonctionner ma connexion wifi WPA (en filaire tout vas bien).
J'ai essayé de faire un emerge wpa_supplicant >> fichier.txt pour vous faire parvenir l'erreur. Mais il manque visiblement un morceau.
Je vous fais quand même parvenir ce que j'ai su avoir : http://pastebin.com/1MGWrry2

Pour ce qui est de l'erreur :
Code:

!!! The following installed packages are masked :
- sys-fs/eudev-3.1.5::gentoo (masked by: package.mask)
/usr/portage/profiles/targets/systemd/package.mask

!!! All ebuilds that could satisfy ">=dev-libs/libpcre-8.35[pcre16]" have been masked.
!!! One of the following masked packages is required to complete your request :
- dev-libs/libpcre-8.38-r1::gentoo (masked by: ~amd64 keyword)
- dev-libs/libpcre-8.38::gentoo (masked by: )

(dependency required by "dev-qt/qtcore-5.5.1-r1::gentoo" [ebuild])
(dependency required by "dev-qt/qtgui-5.5.1-r1::gentoo" [ebuild])
(dependency required by "kde-frameworks/knotifications-5.21.0::gentoo" [ebuild])
(dependency required by "kde-plasma/polkit-kde-agent-5.5.5::gentoo" [ebuild])
(dependency required by "kde-frameworks/kauth-5.21.0::gentoo" [ebuild])
(dependency required by "kde-frameworks/kconfigwidgets-5.21.0::gentoo" [ebuild])
(dependency required by "kde-frameworks/kiconthemes-5.21.0::gentoo" [ebuild])


Je lis en ce moment un article de la rubrique "Portage warning about masked packages" sur gentoo.org disant :
Quote:
When trying to install a package that isn't available for the system, this masking error occurs. User should try installing a different application that is available for the system or wait until the package is marked as available.
Suivant le message d'erreur (amd64 keyword), ce serait l'application qui n'est pas encore assez testée pour être dite "stable". Il faudrait, selon Gentoo, attendre quelques jours ou semaines.

Qu'en pensez-vous ?

Ma clé wifi est en wpa, y a t il un autre paquet que wpa-supplicant pour me dépanner ?

D'avance, Merci :)

EDIT : J'ai essayé d'installer kde-apps/kdebase-meta (j'avais choisi eselect profile set 7 pour KDE+systemd) pour au moins avoir un environnement de bureau avec connexion filaire.
La même erreur et toujours avec ce paquet libpcre.
Autant une utilisation filaire serait handicapante mais pas insurmontable, autant ne pas avoir de gui serait inconcevable pour une utilisation à l'école (libre office, développement web, ...)


Last edited by Aconitt on Tue Jun 14, 2016 1:14 pm; edited 2 times in total
Back to top
View user's profile Send private message
xaviermiller
Administrator
Administrator


Joined: 23 Jul 2004
Posts: 8073
Location: ~Brussels - Belgique

PostPosted: Thu Jun 09, 2016 9:46 am    Post subject: Reply with quote

emerge --info stp
_________________
Kind regards,
Xavier Miller
Back to top
View user's profile Send private message
Aconitt
n00b
n00b


Joined: 05 Jun 2016
Posts: 25
Location: Belgique

PostPosted: Thu Jun 09, 2016 9:57 am    Post subject: Reply with quote

Re Bonjour,

Désolé j'oublie toujours de joindre cette commande :/

Code:

Portage 2.2.28 (python 3.4.3-final-0, default/linux/amd64/13.0/desktop/kde/systemd, gcc-4.9.3, glibc-2.22-r4, 4.4.6-gentoo x86_64)
=================================================================
System uname: Linux-4.4.6-gentoo-x86_64-Intel-R-_Core-TM-_i5-6300HQ_CPU_@_2.30GHz-with-gentoo-2.2
KiB Mem:     8076660 total,   7864688 free
KiB Swap:   16895996 total,  16895996 free
Timestamp of repository gentoo: Wed, 08 Jun 2016 00:45:01 +0000
sh bash 4.3_p42-r1
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
app-shells/bash:          4.3_p42-r1::gentoo
dev-lang/perl:            5.20.2::gentoo
dev-lang/python:          2.7.10-r1::gentoo, 3.4.3-r1::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.19.1::gentoo
sys-apps/sandbox:         2.10-r1::gentoo
sys-devel/autoconf:       2.69::gentoo
sys-devel/automake:       1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo
sys-devel/gcc:            4.9.3::gentoo
sys-devel/gcc-config:     1.7.3::gentoo
sys-devel/libtool:        2.4.6::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 4.3::gentoo (virtual/os-headers)
sys-libs/glibc:           2.22-r4::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/gconf /etc/gentoo-release /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://ftp.free.fr/mirrors/ftp.gentoo.org/ ftp://gentoo.imj.fr/pub/gentoo/ ftp://mirrors.linuxant.fr/distfiles.gentoo.org/ http://mirrors.linuxant.fr/distfiles.gentoo.org/ http://gentoo.modulix.net/gentoo/ http://gentoo.mirrors.ovh.net/gentoo-distfiles/ ftp://gentoo.mirrors.ovh.net/gentoo-distfiles/"
LANG="fr_FR"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi alsa amd64 berkdb bindist bluetooth branding bzip2 cairo cdda cdr cli cracklib crypt cups cxx dbus declarative dri dts dvd dvdr emboss encode exif fam firefox flac fortran gdbm gif glamor gpm gtk iconv ipv6 jpeg kde kipi lcms ldap libnotify mad mmx mmxext mng modules mp3 mp4 mpeg multilib ncurses nls nptl ogg opengl openmp pam pango pcre pdf phonon plasma png policykit ppds qt3support qt4 readline sdl seccomp semantic-desktop session spell sse sse2 ssl startup-notification svg systemd tcpd tiff truetype udev udisks unicode upower usb vorbis wxwidgets x264 xattr xcb xcomposite xinerama xml xscreensaver xv xvid zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="amdgpu fbdev intel nouveau radeon radeonsi vesa dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON



Encore merci pour votre aide
Back to top
View user's profile Send private message
xaviermiller
Administrator
Administrator


Joined: 23 Jul 2004
Posts: 8073
Location: ~Brussels - Belgique

PostPosted: Thu Jun 09, 2016 10:03 am    Post subject: Reply with quote

Es-tu en train de mélanger des paquets en ~amd64 et amd64 (via package.unmask et package.keywords) ?

Que fais-tu au juste ? Ce n'est pas très clair.
_________________
Kind regards,
Xavier Miller
Back to top
View user's profile Send private message
Aconitt
n00b
n00b


Joined: 05 Jun 2016
Posts: 25
Location: Belgique

PostPosted: Thu Jun 09, 2016 10:09 am    Post subject: Reply with quote

Re,
Je me suis contenté de suivre le handbook, puis j'ai essayé d'installer wpa_supplicant pour mon Wi-Fi. Ensuite désespérant un peu pour le Wi-Fi je me suis dit que si j'avais déjà un gui ce serait bien. J'ai donc essayé d'installer kde-apps/kdebase-meta

À première vue, il doit y avoir quelque chose que je fais mal.

Merci.
Back to top
View user's profile Send private message
Syl20
Guru
Guru


Joined: 04 Aug 2005
Posts: 564
Location: France

PostPosted: Thu Jun 09, 2016 10:20 am    Post subject: Re: Paquets masqués Reply with quote

Ben dis-donc, ça fait beaucoup de paquets à installer, tout ça. Visiblement, ton système n'a pas encore eu droit à son premier emerge @world. Du coup, ton problème n'est certainement pas lié à l'installation de wpa_supplicant.
Aconitt wrote:
Code:

!!! The following installed packages are masked :
- sys-fs/eudev-3.1.5::gentoo (masked by: package.mask)
/usr/portage/profiles/targets/systemd/package.mask

En gros, tu as activé un profil systemd, qui utilise son "propre" udev. Le paquet eudev entre en conflit avec udev, et est donc logiquement masqué par le profil systemd.
À moins que eudev apparaisse indûment dans ton fichier world (/var/lib/portage/world), il y a donc un problème : quel est le paquet qui veut absolument eudev comme dépendance, alors qu'il ne devrait pas ?
Peux-tu ajouter l'option -t (--tree) à ta commande emerge ?

Quote:
Code:
!!! All ebuilds that could satisfy ">=dev-libs/libpcre-8.35[pcre16]" have been masked.
!!! One of the following masked packages is required to complete your request :
- dev-libs/libpcre-8.38-r1::gentoo (masked by: ~amd64 keyword)
- dev-libs/libpcre-8.38::gentoo (masked by: )

(dependency required by "dev-qt/qtcore-5.5.1-r1::gentoo" [ebuild])
(dependency required by "dev-qt/qtgui-5.5.1-r1::gentoo" [ebuild])
(dependency required by "kde-frameworks/knotifications-5.21.0::gentoo" [ebuild])
(dependency required by "kde-plasma/polkit-kde-agent-5.5.5::gentoo" [ebuild])
(dependency required by "kde-frameworks/kauth-5.21.0::gentoo" [ebuild])
(dependency required by "kde-frameworks/kconfigwidgets-5.21.0::gentoo" [ebuild])
(dependency required by "kde-frameworks/kiconthemes-5.21.0::gentoo" [ebuild])

Et ça donnera des pistes pour ça aussi. Bizarre, le paquet libpcre est stable depuis un bon moment, en version 8.38.

Quote:
Ma clé wifi est en wpa, y a t il un autre paquet que wpa-supplicant pour me dépanner ?

Une fois les problèmes ci-dessus résolus, wpa-supplicant devrait s'installer tout seul.
Back to top
View user's profile Send private message
Aconitt
n00b
n00b


Joined: 05 Jun 2016
Posts: 25
Location: Belgique

PostPosted: Thu Jun 09, 2016 11:05 am    Post subject: Reply with quote

Re,
Je vous remercie pour cette aide précieuse. Je vais lancer les commandes suggérées afin de tenter de résoudre ce problème. Ensuite je pense que me pencher sur la doc émerge et kernel sera indispensable. Je ne connais visiblement pas assez bien mon sujet.

EDIT : J'ai fait un cat /var/lib/portage/world aucun eudev n’apparaît.
Concernant la modification du emerge --tree, pourriez vous m'indiquer la commande exacte afin qu'il n'y ai pas de malentendu sur son résultat.

Merci
Back to top
View user's profile Send private message
324874
Apprentice
Apprentice


Joined: 26 Jul 2014
Posts: 168

PostPosted: Thu Jun 09, 2016 5:00 pm    Post subject: Reply with quote

Aconitt wrote:
Concernant la modification du emerge --tree, pourriez vous m'indiquer la commande exacte afin qu'il n'y ai pas de malentendu sur son résultat.

Code:
root # emerge --tree kde-apps/kdebase-meta

Sil20 wrote:
Le paquet eudev entre en conflit avec udev, et est donc logiquement masqué par le profil systemd.

J'ajouterais que Portage bloque l'installation de eudev car eudev et systemd ne sont pas vraiment compatibles (édition 05/07 : honnêtement, je ne sais pas si eudev est compatible avec systemd !, cf Udev and EUdev) et que udev est déjà installé (parce que c'est une dépendance de systemd).


Last edited by 324874 on Tue Jul 05, 2016 6:36 am; edited 1 time in total
Back to top
View user's profile Send private message
324874
Apprentice
Apprentice


Joined: 26 Jul 2014
Posts: 168

PostPosted: Thu Jun 09, 2016 5:27 pm    Post subject: Reply with quote

Hypothèse : Tu as choisi un profil, poursuivi ton installation et ensuite tu as changé de profil (édition 16/06 : j'ai pensé qu'un profil systemd n'intégrait pas sys-apps/openrc).

Code:
Portage 2.2.28 (python 3.4.3-final-0, default/linux/amd64/13.0/desktop/kde/systemd, gcc-4.9.3, glibc-2.22-r4, 4.4.6-gentoo x86_64)
...
...
sys-apps/openrc:          0.19.1::gentoo
...

Quote:
Network controller : Intel Corporation Wireless 3165 (rev81)

La configuration du noyau doit être réalisée correctement pour permettre la connexion filaire.


Last edited by 324874 on Thu Jun 16, 2016 1:01 pm; edited 1 time in total
Back to top
View user's profile Send private message
Aconitt
n00b
n00b


Joined: 05 Jun 2016
Posts: 25
Location: Belgique

PostPosted: Thu Jun 09, 2016 6:02 pm    Post subject: Reply with quote

Re,

Je suis en cours en ce moment (travail le jour et cours le soir). Je ne peux donc pas faire de test pour l'instant.
Je peux toutefois confirmer que j'avais choisi au début un profile 6 (KDE sans systemd). J'ai ensuite changé d'avis pour le profile 7 (KDE+systemd).
Je ne suis plus sûr d'avoir formaté ma partition / avant de faire ce changement. Il peut donc rester des "résidus" du profile 6.

Je vous ferai parvenir au plus vite le résultat de :
Code:
 emerge --tree kde-apps/kdebase-meta

Merci de votre aide.
Back to top
View user's profile Send private message
324874
Apprentice
Apprentice


Joined: 26 Jul 2014
Posts: 168

PostPosted: Thu Jun 09, 2016 6:50 pm    Post subject: Cause probable du bloquage de dev-libs/libpcre-8.28 Reply with quote

Sil20 wrote:
Bizarre, le paquet libpcre est stable depuis un bon moment, en version 8.38.

Le paquet est stable pour la version 8.38 mais la version 8.38-r1 est en phase de test.
Code:
...
- dev-libs/libpcre-8.38-r1::gentoo (masked by: ~amd64 keyword)
...

Aconitt wrote:
Je peux toutefois confirmer que j'avais choisi au début un profile 6 (KDE sans systemd). J'ai ensuite changé d'avis pour le profile 7 (KDE+systemd).

Code:
...
- dev-libs/libpcre-8.38::gentoo (masked by: )

(dependency required by "dev-qt/qtcore-5.5.1-r1::gentoo" [ebuild])
(dependency required by "dev-qt/qtgui-5.5.1-r1::gentoo" [ebuild])
(dependency required by "kde-frameworks/knotifications-5.21.0::gentoo" [ebuild])
(dependency required by "kde-plasma/polkit-kde-agent-5.5.5::gentoo" [ebuild])
(dependency required by "kde-frameworks/kauth-5.21.0::gentoo" [ebuild])
(dependency required by "kde-frameworks/kconfigwidgets-5.21.0::gentoo" [ebuild])
(dependency required by "kde-frameworks/kiconthemes-5.21.0::gentoo" [ebuild])

Aconitt wrote:
Je ne suis plus sûr d'avoir formaté ma partition / avant de faire ce changement. Il peut donc rester des "résidus" du profile 6.

Il semblerait que ton système tienne compte de l'installation basée sur le profil kde (édition 16/06 : supposition hasardeuse). La résolution de ce problème peut éventuellement se révéler complexe (cf. mise à jour d'un système).
Peux-tu nous préciser quelle commande a provoqué le bloquage précédent ?

Je ne sais pas trop comment m'y prendre pour résoudre ce problème car je manque de connaissances sur Portage.
Une façon de procéder serait de cibler précisement la cause exacte du problème et de déterminer si l'on peut mettre en oeuvre des solutions n'entraînant pas de complications.

Cordialement,

feng


Last edited by 324874 on Thu Jun 16, 2016 1:07 pm; edited 4 times in total
Back to top
View user's profile Send private message
Aconitt
n00b
n00b


Joined: 05 Jun 2016
Posts: 25
Location: Belgique

PostPosted: Thu Jun 09, 2016 7:00 pm    Post subject: Reply with quote

Re,
Reformater et réinstaller gentoo n'est pas un problème.
Si c'est la solution la plus propre et la plus efficace, ça ne me dérange absolument pas.
Back to top
View user's profile Send private message
324874
Apprentice
Apprentice


Joined: 26 Jul 2014
Posts: 168

PostPosted: Thu Jun 09, 2016 7:17 pm    Post subject: Reply with quote

Cela peut être une expérience qui pourra t'apporter et il y a probablement des personnes qui pourront t'aider.
Les multiples réinstallations ne sont pas agréables (je parle par expérience). Le problème est qu'il y a beaucoup à assimiler et cela nécessite pas mal d'énergie.
Souvent, je suis fatigué alors je recommence. Seulement, si je procède ainsi, à chaque fois, le nombre d'installations augmentent de façon exponentielle :x
Le plus efficace sur le moyen/long terme est de déterminer la cause du problème et de le résoudre. Acquérir les connaissances est également essentiel. Sinon, lorsque l'on rencontre
un problème on se fatigue car on n'arrive pas à le résoudre efficacement et on dépense beaucoup d'énergie.

A toi de voir en fonction de tes attentes.

Cordialement,

feng
Back to top
View user's profile Send private message
324874
Apprentice
Apprentice


Joined: 26 Jul 2014
Posts: 168

PostPosted: Fri Jun 10, 2016 6:32 am    Post subject: Proposition d'une résolution du problème. Reply with quote

Je pense que le(s) blocage(s) pourrai(en)t ou aurai(en)t pu être résolu(s) grâce à quelques commandes (cf. mise à jour du système).

Code:
root # emerge --update --deep --with-bdeps=y --changed-use --new-use @world
root # emerge --depclean
root # emerge revdep-rebuild

Il me semble que Portage utilisera les données associées aux paquets installés et à installer ainsi que les données associées à la configuration du système et
procédera aux modifications nécessaires (installations, désinstallations, mise à jour des données, etc.).

Cordialement,

feng
Back to top
View user's profile Send private message
Aconitt
n00b
n00b


Joined: 05 Jun 2016
Posts: 25
Location: Belgique

PostPosted: Fri Jun 10, 2016 7:13 am    Post subject: Reply with quote

Re,

Mes buts initiaux en installant Gentoo étaient
1) Rappeler mes limites, voir où sont mes plus grosses lacunes
2) Il est parfois nécessaire de se donner du mal pour arriver à ses fins : c'est pour moi la meilleure méthode d'apprentissage. Même si je ne sais pas encore marcher, je vais essayer de courir. Si je me casse la gueule, j'aurai au moins appris à me relever.
3) Faire tourner Gentoo et m'y habituer, quitte à avoir une Gentoo instable et mal faite.
4) Une fois que je connaîtrai bien la distrib, tout reformater et faire qqch de bien.
5) Entretenir tout ca comme il faut


Donc je pense que Feng a raison, je dois résoudre mon problème. Ce n'est que comme ça que je pourrai un jour passer au point 4 (même si je pense qu'on a jms fini avec le 1^^)

Merci Feng de m'avoir rappeler mes objectifs initiaux.
Et bien sûr merci à tous ceux qui m'ont apporté / apporteront leur aide.


Last edited by Aconitt on Fri Jun 10, 2016 8:31 am; edited 1 time in total
Back to top
View user's profile Send private message
Aconitt
n00b
n00b


Joined: 05 Jun 2016
Posts: 25
Location: Belgique

PostPosted: Fri Jun 10, 2016 8:25 am    Post subject: Reply with quote

Re,

J'ai testé à tout hazard la commande :
Code:
emerge --unmerge eudev

Ce qui a désinstallé ce paquet.

Ensuite, voici le résultat de emerge --tree kde-apps/kdebase-meta : tree .
Celui de emerge --update --deep --with-bdeps=y --changed-use --newuse @world : http://pastebin.com/5hTDtRC1. (Vous aviez mis --new-use mais j'avais une erreur, je crois que vous pensiez à --newuse)
Ayant un soucis à la commande précédente, emerge --depclean ne fonctionne pas
J'ai quand même exécuter l'ensemble des commandes, voici le résultat de emerge revdep-rebuild : there are no ebuilds to satisfy "revdep-rebuild"

Ce serait probablement long et fastidieux mais un emerge --unmerge sur tous les paquets du profile 6 qui ne sont pas dans le 7 ne résoudrait pas le problème ?
Il n'existe pas une commande magique pour faire cela ? :p

Merci à tous
Back to top
View user's profile Send private message
324874
Apprentice
Apprentice


Joined: 26 Jul 2014
Posts: 168

PostPosted: Fri Jun 10, 2016 9:20 am    Post subject: Reply with quote

Aconitt wrote:
Vous aviez mis --new-use mais j'avais une erreur, je crois que vous pensiez à --newuse.

Oui, tu as raison. Je n'ai pas constaté d'erreurs dans le log (http://pastebin.com/5hTDtRC1) de la commande qui suit.
Je pense que tu peux valider la commande et lancer les commandes suivantes.
Code:
root # emerge --update --deep --with-bdeps=y --changed-use --newuse @world

Code:
root # emerge --depclean
root # emerge revdep-rebuild

Aconitt wrote:
Ensuite désespérant un peu pour le Wi-Fi je me suis dit que si j'avais déjà un gui ce serait bien.

Saches que tu t'es peut-être engagé dans un marathon ! :D
Je n'en suis pas certain car tu as choisi un profil adapté, qui est pré-configuré pour KDE. Pour ma part, j'ai choisi le profile le plus basique, ce qui m'a donné une tâche hardue.
Il te faudra configurer le serveur X qui je crois est utilisé principalement pour l'affichage graphique (X server). Cela est précisé dans la documentation de KDE sur le wiki de Gentoo.
Aconitt wrote:
Ce serait probablement long et fastidieux mais un emerge --unmerge sur tous les paquets du profile 6 qui ne sont pas dans le 7 ne résoudrait pas le problème ?

Les commandes précédentes peuvent résoudre le problème à mon avis. Une fois le problème résolu, continue ta progression.

Il est possible que les options --newuse et --changed-use ne soient pas conçues pour être exécutées ensemble. Si tu obtiens des messages d'erreurs, indique les rigoureusement.

P.S:
Aconitt wrote:
Faire tourner Gentoo et m'y habituer, quitte à avoir une Gentoo instable et mal faite.

Je te le déconseille. Il est recommandé de maîtriser son système afin d'éviter d'endommager les composants de l'ordinateur suite à des utilisations incorrectes des logiciels.

Remarque : Gentoo est une méta-distribution et l'appréciation que l'on en a, peut varier, étant donné que les systèmes obtenus peuvent être assez différents.

Cordialement,

feng
Back to top
View user's profile Send private message
sebB
l33t
l33t


Joined: 02 Mar 2011
Posts: 739
Location: S.O. France

PostPosted: Fri Jun 10, 2016 11:56 am    Post subject: Reply with quote

Salut,

J'ai lu un peu tes posts en travers.
Tu t'es égaré entre ta gestion des profils, ta config du noyau...

C'est quoi ta priorité? Configurer ton wifi ou installer un environnement de bureau?

Avant te te lancer dans une compil qui va te prendre la journée peux tu poster ton fichier de config du noyau.
Ensuite télécharge un livecd (ubuntu par ex), boote dessus, vérifie que ton wifi fonctionne et retourne nous le contenu de lspci -k depuis ce live cd (on verra au moins quels modules tu as besoin).

Moi je conseille une réinstall, vu que t'as pas installé grand chose et tu fais ton choix.
Si tu veux systemd, tu télécharge le stage3 systemd, si tu veux openrc tu télécharge le normal.
Ensuite tu choisira ton profil (vaudra mieux choisr plasma que kde).
Car là on est parti pour résoudre des conflis qui ne devrait pas être présents et qui sont dus a tes changements de profils.
Back to top
View user's profile Send private message
Aconitt
n00b
n00b


Joined: 05 Jun 2016
Posts: 25
Location: Belgique

PostPosted: Fri Jun 10, 2016 12:01 pm    Post subject: Reply with quote

Re,
stage3 pour systemd ? Je ne savais qu'il y en avais un spécial pour systemd.
Je ferai plus attention la prochaine fois
Back to top
View user's profile Send private message
sebB
l33t
l33t


Joined: 02 Mar 2011
Posts: 739
Location: S.O. France

PostPosted: Fri Jun 10, 2016 12:08 pm    Post subject: Reply with quote

https://www.gentoo.org/downloads/
Back to top
View user's profile Send private message
324874
Apprentice
Apprentice


Joined: 26 Jul 2014
Posts: 168

PostPosted: Fri Jun 10, 2016 1:33 pm    Post subject: Reply with quote

SebB wrote:
C'est quoi ta priorité ? Configurer ton wifi ou installer un environnement de bureau?

La présentation du problème rencontré et son évolution pourraient être améliorées afin de faciliter la compréhension.

Il configurait les interfaces réseaux mais il n'a pas réussi à faire fonctionner la connexion sans-fil (WiFi).
Il a pensé que la configuration de la connexion sans-fil serait plus aisée en utilisant une interface graphique et
il a besoin d'une connexion WiFi et d'un environnement bureautique. Donc, il a procédé à l'installation de KDE.
Cependant, il manque de connaissances par rapport à Portage et il ne savait pas qu'un changement de profils créerait des blocages.

SebB wrote:
J'ai lu un peu tes posts en travers.
Tu t'es égaré entre ta gestion des profils, ta config du noyau...

SebB wrote:
Car là on est parti pour résoudre des conflis qui ne devrait pas être présents et qui sont dus a tes changements de profils.

Il ne s'est pas égaré. Au final, les problèmes qu'il rencontrent sont plus ou moins liés. On a essayé de résoudre le premier problème.
Puis, je l'ai incité à résoudre les problèmes un par un. Une réinstallation serait plus facile.
Cependant, il est pratiquement certain qu'il va rencontrer de nouveaux problèmes.
Je pense qu'une expérience soutenue par des conseils peut apporter des solutions suffisamment efficaces pour surmonter des difficultés d'envergure.
Par exemple, les conflits résultant du changement de profils peuvent permettre de découvrir et de comprendre partiellement Portage.

Je crois que ma vision est subjective mais j'espère qu'elle sera utile.

Edit : @Aconitt - Il faudra veiller à rester dans le sujet du fil de discussion, à savoir la résolution du blocage initial, et cela, malgré que je donne des
conseils qui peuvent s'en éloigner. Pour la résolution d'un nouveau problème, il faut changer de fil de discussion. Lorsque le problème est identifié et/ou résolu
indique le dans le sujet du premier post : (résolu) et non pas [résolu$.

Cordialement,

feng
Back to top
View user's profile Send private message
sebB
l33t
l33t


Joined: 02 Mar 2011
Posts: 739
Location: S.O. France

PostPosted: Sat Jun 11, 2016 10:44 am    Post subject: Reply with quote

M'en vais prendre une aspirine.

EDIT: Il est cool le nouveau correcteur de sujet mais il est encore un peu beugué. Faudrait faire un ou deux ajustements... C'est de l'humour feng :lol:
Back to top
View user's profile Send private message
324874
Apprentice
Apprentice


Joined: 26 Jul 2014
Posts: 168

PostPosted: Sat Jun 11, 2016 11:24 am    Post subject: Reply with quote

@SebB : il me reste quelques changements à réaliser ! J'espère que je trouverai tous les bogues ! 8)
Back to top
View user's profile Send private message
324874
Apprentice
Apprentice


Joined: 26 Jul 2014
Posts: 168

PostPosted: Sat Jun 11, 2016 8:23 pm    Post subject: Changement de profil - mise à jour. Reply with quote

Aconitt wrote:
Ce serait probablement long et fastidieux mais un emerge --unmerge sur tous les paquets du profile 6 qui ne sont pas dans le 7 ne résoudrait pas le problème ?
Il n'existe pas une commande magique pour faire cela ? :p

J'ai trouvé la commande permettant la mise à jour du système, suite à un changement de profil (mise à jour après changement du profil).

Cordialement,

feng
Back to top
View user's profile Send private message
Aconitt
n00b
n00b


Joined: 05 Jun 2016
Posts: 25
Location: Belgique

PostPosted: Sat Jun 11, 2016 8:55 pm    Post subject: Reply with quote

Re,
Merci à tous pour votre aide.
Je ne vais malheureusement plus être très réactif durant quelques temps.
En effet, mes examens approchent et je ne tiens pas à négliger mes études.
Il me restera quand même du temps pour ma gentoo ne vous en faites pas. Je compte bien la faire tourner.
Pour ce qui est de ma priorité entre wifi et kde... Je ne vois pas trop ce que ça change étant donné que c'est de toute façon libpcre qui m'ennuie dans les 2 cas si j'ai bonne mémoire.
Mais si j'avais à choisir : kde sans hésiter. Je n'ai peut-être pas de Wi-Fi mais au moins j'aurais qqch de concret a exploiter. Du moins un peu plus que du shell. Parce que personnellement, prendre des notes en cours avec nano... Je le sens mal hahaha

EDIT : j'avais mauvaise mémoire, wpa_supplicant est installé.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum